Package org.apache.sling.feature.extension.apiregions.api.config

# Enum PlaceholderPolicy

java.lang.Object
java.lang.Enum<PlaceholderPolicy>
org.apache.sling.feature.extension.apiregions.api.config.PlaceholderPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<PlaceholderPolicy>`

public enum PlaceholderPolicy extends Enum<PlaceholderPolicy>
A policy for using placeholders in property values.

Since:
  1.3

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALLOW`
Allow placeholders in the value.
`DEFAULT`
Default policy defined by the property type.
`DENY`
Do not allow a placeholder in the value.
`REQUIRE`
Require a placeholder in the value.

## Method Summary

Modifier and Type
Method
Description
`static PlaceholderPolicy`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static PlaceholderPolicy[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEFAULT

public static final PlaceholderPolicy DEFAULT
Default policy defined by the property type.

### ALLOW

public static final PlaceholderPolicy ALLOW
Allow placeholders in the value.

### REQUIRE

public static final PlaceholderPolicy REQUIRE
Require a placeholder in the value.

### DENY

public static final PlaceholderPolicy DENY
Do not allow a placeholder in the value.

## Method Details

### values

public static PlaceholderPolicy[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PlaceholderPolicy valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null